Detail of fields for transaction processing in Colombia.
| Attribute | Data Type | Mandatory |
|---|---|---|
| order_id | String [max_length: 40][max_length: 40] | Yes |
| credit_note | String [max_length: 40][max_length: 40] | Yes |
| account_id | Integer [max_length:20][max_length:20] Use numbers only | Yes |
| account_type | String [max_length:9][max_length:9] Allow values:
| Yes |
| vat_id | Integer [max_length:11][max_length:11] Use numbers only | Yes |
| vat_id_type | String [max_length:4][max_length:4] Allow values:
| No |
| name | String [max_length:100][max_length:100] | Yes |
| amount | decimal | Yes |
| subject | String [max_length:100][max_length:100] Example: Withdrawal request | Yes |
| bank_detail | String [max_length:100][max_length:100] Example: User withdrawal request | Yes |
| channel | String [max_length:100][max_length:100] Example: Transfer request | Yes |
| user_email | String [max_length:100][max_length:100] Example: [email protected] | Yes |
| phone_number | String [max_length:30][max_length:30] Example: +57111111111 | Yes |
| bank | Id value according to bank from /api/banks/?country=CO&fields=id,name | Yes |
| currency | Id value from /api/currencies/ Allow currencies:
| Ye |
Payment provider Cobre
List of payment providers and account types accepted.
Account type
| Code | Description |
|---|---|
| cc | Checking Account |
| ch | Savings Account |
| dp | Electronic deposit |
Payment providers
To retrieve the most up-to-date list of supported payment providers (banks), please use the following endpoint: /api/banks/?country=CO. For detailed parameter information, refer to the Bank List Documentation.
Ensure the country query parameter is set to the correct ISO code (e.g., CO for Colombia).
